---
features:
  secondary:
  - name: "Deployment approval API"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/environments/deployment_approvals.html'
    reporter: cbalane
    stage: release
    categories:
    - Environment Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/343864'
    description: |
      We are excited to introduce deployment approval via API. Prior to this feature, teams had the ability to protect an environment from any changes by requiring a manual job to be executed in a pipeline as a workaround. Now, deployment approval is a first-class concept in our platform. Teams can configure a number of approvers for a specific environment and use a new API endpoint to execute an approval or rejection of a deployment to that environment. This capability enables teams to create workflows to obtain the proper approvals before deploying software to production or other protected environments.
